%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-date-tokens
Version:    0.0.2
Release:    1%{?dist}
Summary:    Convenient date formatting for templates
License:    MIT 
URL:        https://github.com/jprichardson/node-date-tokens
Source:     https://github.com/jprichardson/node-date-tokens/archive/v%{version}.tar.gz

BuildArch:  noarch

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Date tokens offers convenient ways to use date functions in mustache style templates

%prep
%setup -q -n node-date-tokens-%{version}
find . -type f -name '.gitkeep' -exec rm {} \;

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-date-tokens
cp -rp package.json lib/ %{buildroot}%{nodejs_sitelib}/nodejs-date-tokens

%check
%if 0%{?enable_tests}
%check
mocha test
%endif

%files
%doc LICENSE README.md test/
%{nodejs_sitelib}/nodejs-date-tokens


%changelog
* Tue Feb 3 2015 Anish Patil <apatil@redhat.com> - 0.0.2-1
- initial package
